Bug 9270 - squid-config doesn't run properly
squid-config doesn't run properly
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: squid-config (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Florian La Roche
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-02-09 12:02 EST by Brock Organ
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-13 07:36:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brock Organ 2000-02-09 12:02:47 EST
squid-config doesn't run properly:

test95# strace squid-config 2>&1
execve("/usr/bin/squid-config", ["squid-config"], [/* 23 vars */]) = 0
brk(0)                                  = 0x805f97c

< .... lots of boring stuff ... >

read(3, "\1\1F\2\0\0\0\0\r\0\0\2\0\0\0\0\0\0\0\0\1\0\0\0\0\0\0\0"..., 32) =
32
brk(0x80ac000)                          = 0x80ac000
brk(0x80ad000)                          = 0x80ad000
open("/etc/squid/squid.conf", O_RDONLY) = 4
fstat(4, {st_mode=S_IFREG|0644, st_size=75821, ...}) = 0
brk(0x80c0000)                          = 0x80c0000
read(4, "\n#\tWELCOME TO SQUID 2\n#\t--------"..., 75821) = 75821
close(4)                                = 0

< the program hangs here ... but it is eating all the CPU time it can >

7m  PID USER     PRI  NI  SIZE  RSS SHARE STAT  LIB %CPU %MEM   TIME
COMMAND
 5001 root      14   0  4696 4696  3368 R       0 95.1  3.6   7:50
squid-config
 5053 root       3   0  1060 1060   860 R       0  5.6  0.8   0:00 top
    1 root       0   0   156  116    88 S       0  0.0  0.0   0:05 init
    2 root       0   0     0    0     0 SW      0  0.0  0.0   0:00 kflush
Comment 1 Florian La Roche 2000-02-13 07:36:59 EST
fixed in current version

Note You need to log in before you can comment on or make changes to this bug.